
/*--------------------------------------------------
	Variables
---------------------------------------------------*/	

	:root {
		--vh: 1vh; 
		--dvh: 1dvh;
		--gap: 30px;
		--scroll-bar-w: 0px;
		
		
		/* Classic and Fullscreen Menu */
		
		--classic-menu-font-size: calc(1rem + 3vw);
		--classic-menu-line-height: 1.3;
		--classic-menu-font-weight: 500;
		
		--fullscreen-menu-font-size: clamp(3rem, 1rem + 6vw, 9rem);
		--fullscreen-menu-line-height: 1.15em;
		--fullscreen-menu-font-weight: 500;
		
		
		/* Headings Font Styles */
		--bt-font-size: clamp(5rem, 1rem + 8vw, 11rem);
		--bt-line-height: 1.15em;
		--bt-font-weight: 500;
		--bt-letter-spacing: -0.3vw;
		--bt-left-position: clamp(-0.05em, -0.1em, -0.2em);
		
		--h1-font-size: calc(1rem + 4vw);
		--h1-line-height: 1.15em;
		--h1-font-weight: 500;
		--h1-letter-spacing: -0.12vw;

		--h2-font-size: calc(1rem + 3vw);
		--h2-line-height: 1.15em;
		--h2-font-weight: 500;
		--h2-letter-spacing: 0;

		--h3-font-size: calc(1rem + 2vw);
		--h3-line-height: 1.15em;
		--h3-font-weight: 500;
		--h3-letter-spacing: -0.06vw;

		--h4-font-size: calc(1rem + 1vw);
		--h4-line-height: 1.15em;
		--h4-font-weight: 500;
		--h4-letter-spacing: -0.03vw;

		--h5-font-size: calc(1rem + 0.6vw);
		--h5-line-height: 1.15em;
		--h5-font-weight: 500;
		--h5-letter-spacing: -0.018vw;

		--h6-font-size: calc(1rem + 0.6vw);
		--h6-line-height: 1.15em;
		--h6-font-weight: 500;
		--h6-letter-spacing: -0.018vw;
		

		/* Default Hero and Page Nav Caption Alignment */

		--caption-display: flex;
		--caption-flex-direction: column;
		--caption-justify-content:center;

		--caption-align-items-left: flex-start;
		--caption-align-items-center: center;
		--caption-align-items-right: flex-end;

		
		/* Primary Title Font Styles for Hero and Page Nav */

		--title-font-size: clamp(4rem, 1rem + 5vw, 11rem);
		--title-line-height: 1.15em;
		--title-font-weight: 500;
		--title-letter-spacing: -0.1vw;
		--title-margin-bottom: 35px;
		--title-left-position:-0.5vw;
		--title-span-margin:-0.4rem 0;
		
		
		/* Secondary Title Font Styles for Hero and Page Nav  */
		
		--small-title-font-size: calc(1rem + 3vw);
		--small-title-line-height: 1.15em;
		--small-title-font-weight: 500;
		--small-title-letter-spacing: -0.1vw;
		--small-title-margin-bottom: 30px;
		--small-title-span-margin:-0.2rem 0;
		
		
		/* Subtitle Font Styles for Hero and Page Nav  */
		
		--subtitle-font-size: 18px;
		--subtitle-line-height: 28px;
		--subtitle-font-weight: 400;
		--subtitle-letter-spacing: 0;

		
		/* Defalt Hero and Page Nav Padding  */

		--caption-padding-top: 200px;
		--caption-padding-bottom: 200px;
		
		--nav-caption-padding-top: 120px;
		--nav-caption-padding-bottom: 120px; 
		
		
		/* Portfolio Grid  */
		
		--thumbs-margins-h: 15px;
		--thumbs-gap-v: 120px;
	
	}
	
	
@media only screen and (max-width: 1466px) {
	
	:root {
		
	}
		
}	
	
	
@media only screen and (max-width: 1024px) {	

	:root {
		--small-title-span-margin:0 0;
	}

}
	
	
@media only screen and (max-width: 767px) {

	
	:root {
		--gap: 10px;
		--title-margin-bottom: 25px;
		
		/* Defalt Hero and Page Nav Padding  */
		
		--caption-padding-top: 140px;
		--caption-padding-bottom: 140px;
		
		/* Portfolio Grid  */
		
		--thumbs-margins-h: 10px;
		--thumbs-gap-v: 95px;
		
	}
	

}

@media only screen and (max-width: 479px) {
	
	:root {
		
		/* Defalt Hero and Page Nav Padding  */
		
		--caption-padding-top: 120px;
		--caption-padding-bottom: 120px;
		
		--nav-caption-padding-top: 80px;
		--nav-caption-padding-bottom: 80px;
	}
	
}	
